package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.PozadavekNaRegistraciUzivatele;
import cz.frantovo.nekurak.util.Hash;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Pomocná třída obalujícího uživatele a token (kvůli CSRF)
 * @author fiki
 */
public class UzivatelPredRegistraci {

    private static final Logger log = Logger.getLogger(UzivatelPredRegistraci.class.getSimpleName());
    private PozadavekNaRegistraciUzivatele uzivatel;
    private final String token = generujToken();

    public PozadavekNaRegistraciUzivatele getUzivatel() {
	return uzivatel;
    }

    public void setUzivatel(PozadavekNaRegistraciUzivatele uzivatel) {
	this.uzivatel = uzivatel;
    }

    public String getToken() {
	return token;
    }

    /**
     * @return náhodný token
     */
    private static String generujToken() {
	try {
	    return Hash.hashuj(String.valueOf(Math.random()));
	} catch (Exception e) {
	    log.log(Level.SEVERE, "Chyba při generování háhodného tokenu", e);
	    /** Nemělo by nikdy nastat :-) */
	    return "nbusr123";
	}
    }
}
